#!/bin/bash

echo "Fixing files after upgrade."
ZIMBRA_HOME=$ZIMBRA_HOME || "/opt/zimbra"

ADMIN_LIB=$ZIMBRA_HOME"/mailboxd/webapps/zimbraAdmin/WEB-INF/lib/"
ZIMBRA_LIB=$ZIMBRA_HOME"/mailboxd/webapps/zimbra/WEB-INF/lib/"
ZIMBRA_LIB_JAR=$ZIMBRA_HOME"/lib/jars/"

LIB_FILES="zimbrastore.jar zimbrasoap.jar zimbraclient.jar"

for jarfile in $LIB_FILES
do
    if [ -e $ADMIN_LIB/$jarfile ] ; then
        echo "File $ADMIN_LIB/$jarfile exists. No fix required."    
    else
        echo "File $ADMIN_LIB/$jarfile doesn't exists. Fixing." 
        ln -sf $ZIMBRA_LIB_JAR/$jarfile $ADMIN_LIB/$jarfile
    fi
    if [ -e $ZIMBRA_LIB/$jarfile ] ; then
        echo "File $ZIMBRA_LIB/$jarfile exists. No fix required."   
    else
        echo "File $ZIMBRA_LIB/$jarfile doesn't exists. Fixing."    
        ln -sf $ZIMBRA_LIB_JAR/$jarfile $ZIMBRA_LIB/$jarfile
    fi
done;

echo "Successfully fixed the upgrade."
